package eu.eudat.data.entities;

import eu.eudat.queryable.queryableentity.DataEntity;

import javax.persistence.*;
import java.util.List;
import java.util.UUID;

@Entity
@Table(name = "\"DoiFunder\"")
public class DoiFunder implements DataEntity<DoiFunder, UUID> {

	@Id
	private UUID id;

	@Column(name = "name")
	private String name;

	@Column(name = "doi")
	private String doi;

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDoi() {
		return doi;
	}

	public void setDoi(String doi) {
		this.doi = doi;
	}

	@Override
	public void update(DoiFunder entity) {
		this.name = entity.name;
		this.doi = entity.doi;
	}

	@Override
	public UUID getKeys() {
		return id;
	}

	@Override
	public DoiFunder buildFromTuple(List<Tuple> tuple, List<String> fields, String base) {
		return null;
	}
}
